GFACE Account Required To raise a support ticket you need to login with your GFACE account. Don’t have one? Signup on
RSS Feed
Posted by Henry S. on 10/07/17 10:25

GFACE Launcher Download to migrate to

To initiate the migration process to you need to have the GFACE Launcher installed (not applicable to STEAM users).

You can download the GFACE Launcher here:


If your GFACE account is bound to a Steam account, you need to launch Warface through your Steam account to start the migration process!

Comments (0)